/* Depth Chart */
.subnav-depth-chart div.tab-dropdown dl {
    right: 2px;
}

div.depth_chart dt {
    border-radius: 2px 2px 0 0;
    line-height: 18px;
    text-align: center;
}

div.depth_chart dd {
    margin-top: 2px;
}

div.depth_chart .player {
    float: left;
    line-height: 17px;
    margin-right: 2px;
    padding-left: 3px;
    width: calc(100% - 55px);
}

div.depth_chart dd.mugshot-small {
    float: right;
}

/* Responsive - Tablet */
@media only screen and (min-width: 481px) and (max-width: 1001px) {
    div.depth_chart .blocks {
        display: flex;
        flex-flow: row wrap;
    }

    div.depth_chart .block {
        display: flex;
        flex-direction: column;
    }

    div.depth_chart .block dl {
        height: 100%;
    }
}

/* Responsive - Desktop */
@media only screen and (min-width: 1002px) {
    div.depth_chart {
        height: 788px;
        overflow: hidden;
        position: relative;
    }

    div.depth_chart .diamond,
    div.depth_chart dl {
        position: absolute;
        top: 0;
    }

    div.depth_chart dl {
        width: 165px;
    }

    /* Depth Chart - Positions */
    div.depth_chart .pos-LF,
    div.depth_chart .pos-RF {
        top: 85px;
    }

    div.depth_chart .pos-LF {
        left: 112px;
    }

    div.depth_chart .pos-CF {
        left: 410px;
        top: 25px;
    }

    div.depth_chart .pos-RF {
        left: 708px;
    }

    div.depth_chart .pos-3B,
    div.depth_chart .pos-1B {
        top: 315px;
    }

    div.depth_chart .pos-3B {
        left: 103px;
    }

    div.depth_chart .pos-1B {
        left: 717px;
    }

    div.depth_chart .pos-SS,
    div.depth_chart .pos-2B {
        top: 210px;
    }

    div.depth_chart .pos-SS {
        left: 280px;
    }

    div.depth_chart .pos-2B {
        left: 540px;
    }

    div.depth_chart .pos-RP,
    div.depth_chart .pos-DH {
        top: 475px;
    }

    div.depth_chart .pos-RP {
        left: 60px;
    }

    div.depth_chart .pos-DH {
        left: 770px;
    }

    div.depth_chart .pos-SP,
    div.depth_chart .pos-C {
        left: 408px;
    }

    div.depth_chart .pos-SP {
        top: 440px;
    }

    div.depth_chart .pos-C {
        top: 685px;
    }

    /* Depth Chart - Field */
    div.depth_chart .diamond {
        height: 725px;
        left: 4px;
        opacity: 0.75;
        top: -25px;
    }

    div.depth_chart .diamond li {
        position: absolute;
    }

    div.depth_chart .diamond .field {
        background-color: #008800;
        border: 1px solid #008800;
        border-radius: 1% 100% 1% 1%;
        height: 700px;
        left: 145px;
        top: -110px;
        -webkit-transform: rotate(-45deg);
        transform: rotate(-45deg);
        width: 700px;
    }

    div.depth_chart .diamond .infield {
        background-color: #836539;
        border: 1px solid #836539;
        border-radius: 1% 50% 1% 1%;
        height: 450px;
        left: 265px;
        top: 170px;
        -webkit-transform: rotate(-45deg);
        transform: rotate(-45deg);
        width: 450px;
    }

    div.depth_chart .diamond .infield-grass {
        background-color: #008800;
        border: 2px solid #008800;
        height: 260px;
        left: 359px;
        top: 330px;
        -webkit-transform: rotate(-45deg);
        transform: rotate(-45deg);
        width: 260px;
    }

    div.depth_chart .diamond .batting-circle {
        background-color: #836539;
        border: 1px solid #836539;
        border-radius: 100%;
        height: 100px;
        left: 440px;
        top: 634px;
        -webkit-transform: rotate(-45deg);
        transform: rotate(-45deg);
        width: 100px;
    }

    div.depth_chart .diamond .base {
        background-color: #ffffff;
        border: 1px solid #ffffff;
        height: 13px;
        top: 450px;
        -webkit-transform: rotate(-45deg);
        transform: rotate(-45deg);
        width: 13px;
    }

    div.depth_chart .diamond .first.base {
        left: 706px;
    }

    div.depth_chart .diamond .second.base {
        left: 484px;
        top: 231px;
    }

    div.depth_chart .diamond .third.base {
        left: 262px;
    }

    div.depth_chart .diamond .home-plate {
        background-color: #ffffff;
        border: 1px solid #ffffff;
        height: 5px;
        left: 485px;
        top: 680px;
        width: 10px;
    }

    div.depth_chart .diamond .home-plate:before,
    div.depth_chart .diamond .home-plate:after {
        border: solid transparent;
        content: " ";
        height: 0;
        pointer-events: none;
        position: absolute;
        top: 100%;
        width: 0;
    }

    div.depth_chart .diamond .home-plate:before {
        border-color: rgba(194, 225, 245, 0);
        border-top-color: #ffffff;
        border-width: 6.5px;
        left: 50%;
        margin-left: -6.5px;
    }

    div.depth_chart .diamond .base-lines {
        border-bottom: 2px solid #ffffff;
        border-left: 2px solid #ffffff;
        height: 670px;
        left: 155px;
        top: -120px;
        -webkit-transform: rotate(-45deg);
        transform: rotate(-45deg);
        width: 670px;
    }

    div.depth_chart .diamond .pitchers-mound {
        background-color: #836539;
        border: 1px solid #836539;
        border-radius: 100%;
        height: 80px;
        left: 450px;
        top: 420px;
        -webkit-transform: rotate(-45deg);
        transform: rotate(-45deg);
        width: 80px;
    }

    div.depth_chart .diamond .pitchers-rubber {
        background-color: #ffffff;
        border: 1px solid #ffffff;
        height: 1px;
        left: 482px;
        top: 458px;
        width: 16px;
    }

    div.depth_chart .diamond .circle {
        background-color: #836539;
        border: 1px solid #836539;
        height: 40px;
        top: 440px;
        -webkit-transform: rotate(-45deg);
        transform: rotate(-45deg);
        width: 40px;
    }

    div.depth_chart .diamond .first.circle {
        border-radius: 100% 1% 1%;
        left: 642px;
    }

    div.depth_chart .diamond .second.circle {
        border-radius: 1% 1% 1% 100%;
        left: 470px;
        top: 275px;
    }

    div.depth_chart .diamond .third.circle {
        border-radius: 1% 1% 100%;
        left: 300px;
    }

    div.depth_chart .diamond .batters-box {
        background-color: #836539;
        border: 2px solid #ffffff;
        height: 25px;
        outline: 2px solid #836539;
        top: 677px;
        width: 15px;
    }

    div.depth_chart .diamond .batters-box.right {
        left: 465px;
    }

    div.depth_chart .diamond .batters-box.left {
        left: 498px;
    }

    div.depth_chart .mowed-grass {
        background-color: #aacc00;
        background-image: -webkit-gradient(
            linear,
            0 100%,
            100% 0,
            color-stop(0.25, rgba(255, 255, 255, 0.2)),
            color-stop(0.25, transparent),
            color-stop(0.5, transparent),
            color-stop(0.5, rgba(255, 255, 255, 0.2)),
            color-stop(0.75, rgba(255, 255, 255, 0.2)),
            color-stop(0.75, transparent),
            to(transparent)
        );
        background-image: -webkit-linear-gradient(
            45deg,
            rgba(255, 255, 255, 0.2) 25%,
            transparent 25%,
            transparent 50%,
            rgba(255, 255, 255, 0.2) 50%,
            rgba(255, 255, 255, 0.2) 75%,
            transparent 75%,
            transparent
        );
        background-image: -moz-linear-gradient(
            45deg,
            rgba(255, 255, 255, 0.2) 25%,
            transparent 25%,
            transparent 50%,
            rgba(255, 255, 255, 0.2) 50%,
            rgba(255, 255, 255, 0.2) 75%,
            transparent 75%,
            transparent
        );
        background-image: -ms-linear-gradient(
            0deg,
            rgba(255, 255, 255, 0.2) 25%,
            transparent 25%,
            transparent 50%,
            rgba(255, 255, 255, 0.2) 50%,
            rgba(255, 255, 255, 0.2) 75%,
            transparent 75%,
            transparent
        );
        background-image: -o-linear-gradient(
            0deg,
            rgba(255, 255, 255, 0.2) 25%,
            transparent 25%,
            transparent 50%,
            rgba(255, 255, 255, 0.2) 50%,
            rgba(255, 255, 255, 0.2) 75%,
            transparent 75%,
            transparent
        );
        background-image: linear-gradient(
            0deg,
            rgba(255, 255, 255, 0.2) 25%,
            transparent 25%,
            transparent 50%,
            rgba(255, 255, 255, 0.2) 50%,
            rgba(255, 255, 255, 0.2) 75%,
            transparent 75%,
            transparent
        );
        -moz-background-size: 50px 50px;
        -webkit-background-size: 250px 250px;
        background-size: 200px 200px;
    }
}
